Package org.apache.avro.message

# Interface SchemaStore

All Known Implementing Classes:
  `SchemaStore.Cache`

public interface SchemaStore
Interface for classes that can provide avro schemas by fingerprint.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`SchemaStore.Cache`
A map-based cache of schemas by AVRO-CRC-64 fingerprint.

## Method Summary

Modifier and Type
Method
Description
`Schema`
`findByFingerprint(long fingerprint)`
Retrieves a fingerprint by its AVRO-CRC-64 fingerprint.

## Method Details

### findByFingerprint

Schema findByFingerprint(long fingerprint)
Retrieves a fingerprint by its AVRO-CRC-64 fingerprint.

Parameters:
  `fingerprint` - an AVRO-CRC-64 fingerprint long
Returns:
  a Schema with the given fingerprint, or null